Foros del Web » Programando para Internet » PHP »

Error al compilar php-5.0.3 con mysql

Estas en el tema de Error al compilar php-5.0.3 con mysql en el foro de PHP en Foros del Web. Hola a todos, talvez ustedes han tenido el mismo problema que yo y lo han resuelto, el caso es que quiero instalar Apache, php last ...
  #1 (permalink)  
Antiguo 01/01/2005, 11:08
 
Fecha de Ingreso: mayo-2004
Ubicación: Managua, Nicaragua
Mensajes: 281
Antigüedad: 13 años, 7 meses
Puntos: 0
Error al compilar php-5.0.3 con mysql

Hola a todos, talvez ustedes han tenido el mismo problema que yo y lo han resuelto, el caso es que quiero instalar Apache, php last version, instalé la última versión de apache y bien, pero al instalar php-5.0.3 y compilar no se pudo completar correctamente y mando el siguiente error:
1- Cannot Find Mysql Header Files Under Yes.
2- Note: That the mysql client library no is bundled anymore

Apache lo tengo corriendo correctamente, php ya instalado también, pero manda error cuando hay comandos php con mysql, con la versión anterior de apache y php funciona correctamente.

Que puede ser. me hará falta algún archivo o rpm actualizado o es que debo poner algún archivo en alguna ruta.

Apache por defecto lo instaló en: /usr/local/apache2
El php.ini en: /usr/local/lib/php.ini
__________________
Julio Hernández
  #2 (permalink)  
Antiguo 02/01/2005, 16:22
 
Fecha de Ingreso: mayo-2004
Ubicación: Managua, Nicaragua
Mensajes: 281
Antigüedad: 13 años, 7 meses
Puntos: 0
ruta de mysql.so

Al compilar y poner con compatibilidad con mysql por ejemplo en el bash$
[[email protected]]$ ./configure --mysql=/usr/local/... para compatibilidad con mysql parece no encontrar creo el archivo mysql.so o algo parecido. Si realmente ese no es el error espero alguien me ayude porque tengo problemas al compilar php-5.0.3 en Linux RedHat9.0.

__________________
Julio Hernández
  #3 (permalink)  
Antiguo 06/01/2005, 12:00
 
Fecha de Ingreso: mayo-2004
Ubicación: Managua, Nicaragua
Mensajes: 281
Antigüedad: 13 años, 7 meses
Puntos: 0
Resolví el problema

Hola a todos, ya resolví el problema, bajé la última versión de Mysql y lo instalé, él por defecto lo instaló en /usr/local/mysql, aunque ese no era el problema sino era que php-5.0.3 buscaba por defecto en /usr/local/mysql y no desde la ruta que mysql-3.x tenía instalado, además tenía que cambiar rutas en /etc/my.conf, pero de todas formas, es mejor, porque tengo todo actualizado, Apache, mysql, LibXml, php.

Saludos a todos.
__________________
Julio Hernández
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 01:34.